
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Mongo】uploadify插件帮助实现批量上传 / iVAN</title>

    <meta name="description" content="【Mongo】uploadify插件帮助实现批量上传    [项目需求]     在整个考试系统中,我们可将其分为三个部分:考试前.考试中以及考试后.最近一周都在做考试前的配置,我负责的是题库模块,学生考试时是需要从题库中抽题的.而题库,又有不同的题型,单选题.多选题等等.但还有填图题,音频题,这些题目的图片和音频都需要存在Mongo数据库中,所以,我开始了我的Mongo实践之旅.    [Mongo入门]     1.什么是MongoDB MongoDB是由C++语言编写的,是一个基于分布式文件存储的开源数据库系统. MongoDB将数据存储为一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【Mongo】uploadify插件帮助实现批量上传</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>   <strong>【项目需求】</strong><br />
<br />
    在整个考试系统中，我们可将其分为三个部分：考试前、考试中以及考试后。最近一周都在做考试前的配置，我负责的是题库模块，学生考试时是需要从题库中抽题的。而题库，又有不同的题型，单选题、多选题等等。但还有填图题，音频题，这些题目的图片和音频都需要存在Mongo数据库中，所以，我开始了我的Mongo实践之旅。</p>
<p>   <strong>【Mongo入门】</strong></p>
<p>   <strong> </strong><strong>1.什么是MongoDB</strong></p>
<p>MongoDB是由C++语言编写的，是一个基于分布式文件存储的开源数据库系统。</p>
<p>MongoDB将数据存储为一个文档，数据结构由键值(key=&gt;value)对组成。MongoDB文档类似于JSON对象。字段值可以包含其他文档，数组及文档数组。 </p>
<p><strong>2.MongoDB</strong>的特点 </p>
<ul>
<li>MongoDB的提供了一个面向文档存储，操作起来比较简单和容易。</li>
<li>Mongo支持丰富的查询表达式。查询指令使用JSON形式的标记，可轻易查询文档中内嵌的对象及数组。</li>
<li>GridFS是MongoDB中的一个内置功能，可以用于存放大量小文件。</li>
<li>MongoDB允许在服务端执行脚本，可以用Javascript编写某个函数，直接在服务端执行，也可以把函数的定义存储在服务端，下次直接调用即可。</li>
<li>MongoDB支持各种编程语言:RUBY，PYTHON，JAVA，C++，PHP，C#等多种语言。</li>
<li>MongoDB安装简单......</li>
</ul>
<p><strong>    </strong> <br />
    <strong>3.</strong><strong>MongoDB</strong><strong>的下载与安装</strong> </p>
<p>        参考教程：<a href="http://www.runoob.com/mongodb/mongodb-window-install.html" rel="external nofollow noreferrer">http://www.runoob.com/mongodb/mongodb-window-install.html</a></p>
<p>   <strong>【开发环境】</strong></p>
<p>    VS2012、MongoDB for Windows 64-bit、MVC框架、EasyUI</p>
<p>   <strong>【项目实现】</strong></p>
<p>     对Mongo有了一些了解之后，那么下面就实战一下，看看如何实现文件的批量上传。</p>
<p>     因为需要实现批量上传，所以需要借助Uploadify插件。</p>
<p>     我们先从前台页面布局样式开始：</p>
<p><strong>1.添加Mongo批量上传插件的引用</strong></p>
<pre> @* 引用EasyUI样式 *@
    &lt;link rel="stylesheet" type="text/css" href="../Content/jquery-easyui-1.3.2/themes/default/easyui.css"&gt;
    &lt;link rel="stylesheet" type="text/css" href="../Content/jquery-easyui-1.3.2/themes/icon.css"&gt;
    &lt;link rel="stylesheet" type="text/css" href="../Content/jquery-easyui-1.3.2/demo/demo.css"&gt;
    &lt;script type="text/javascript" src="../Content/jquery-easyui-1.3.2/jquery-1.8.0.min.js"&gt;&lt;/script&gt;
    &lt;script type="text/javascript" src="../Content/jquery-easyui-1.3.2/jquery.easyui.min.js"&gt;&lt;/script&gt;
    @*引用mongo批量上传的插件*@
    &lt;link href="../Scripts/uploadify-v3.1/uploadify.css" rel="stylesheet"&gt;
    &lt;script src="../../Scripts/uploadify-v3.1/jquery.uploadify-3.1.min.js"&gt;&lt;/script&gt;
    &lt;script src="../Content/jquery-easyui-1.3.2/locale/easyui-lang-zh_CN.js"&gt;&lt;/script&gt; </pre>
<p><strong>2.前台页面布局设计</strong><strong><br /></strong>
<pre>&lt;div style="margin-left:700px;margin-top:-600px;"&gt;
        &lt;div id="q" data-options="iconCls:' icon-save'"  class="easyui-panel" title="音频图片文件管理" style="width: 400px; height: 500px; padding: 20px;"&gt;
     @* 批量上传文件到Mongo按钮 *@
            &lt;div style="margin-left:20px;margin-top:20px;"&gt;
                &lt;input type="file" id="file_upload" name="file_upload" value="添加文件"/&gt;
            &lt;/div&gt;
            &lt;div style="margin-top: 5px;margin-left:20px;"&gt;
                &lt;a id="upload" class="easyui-linkbutton" data-options="iconCls:'icon-export'" style="padding-left: 30px;margin-top:10px;" &gt;上传&lt;/a&gt;&lt;br /&gt;
               &lt;a id="cancel" class="easyui-linkbutton" data-options="iconCls:'icon-cancel'" style="padding-left: 30px;margin-top:10px;"&gt;取消&lt;/a&gt;
            &lt;/div&gt;
         &lt;/div&gt;
    &lt;/div&gt; </pre>
<p><strong>3.按钮样式的设置</strong><strong><br /></strong>
<pre>&lt;style&gt;
        .uploadify-button{
            color:#444;
            border: 1px solid #b7d2ff;
            filter: none;
            background: #eaf2ff;
            height:25px;
            width:90px;
        }
        .uploadify:hover .uploadify-button{
            background:#eaf2ff;
            color:#000000
        }
        .center {
            width: 1000px;
            margin: 5px auto;
        }
&lt;/style&gt;  </pre>
<p><strong></strong>前台布局样式确定了，下面就真正开始功能的实现。</p>
<p>    <strong>1.Client端</strong></p>
<p><strong>   </strong>使用MongoDB，需要先在客户端添加三个引用，MongoDB、MongoDB Bson和MongoDB Driver。<strong><br /></strong></p>
<p>    <strong>2.</strong><strong>Controller：</strong></p>
<p><strong>   </strong>在MVC框架下的Controller中，类似于写了一个MongoHelper类，其中可接受前台传来的四种操作，"LIST"(获取文件列表）；"DELETE"(删除文件）；"UPLOAD"(上传文件）;"DOWNLOAD"(下载文件）。本篇博客，仅看上传文件方法：</p>
<pre>public class MongodbHelpController : Controller
    {
        //
        // GET: /MongodbHelp/
            //全局变量
            private static MongoDatabase DB;
            public static string fileTable = "fs";//相当于我们需要操作的表的名称
            //Sets up the environment.
            public void Init()
            {
                //连接本地数据库
                string ConnectionString = "127.0.0.1";  //ConfigurationManager.AppSettings["mondoDbConnection"];
                if (String.IsNullOrEmpty(ConnectionString))
                {
                    throw new ArgumentNullException("Connection string not found.");
                }
                MongoServerSettings mongoSetting = new MongoServerSettings();
                mongoSetting.MaxConnectionPoolSize = 15000;//设定最大连接池
                mongoSetting.WaitQueueSize = 500;//设定等待队列数
                mongoSetting.Server = new MongoServerAddress(ConnectionString, 27017);
                int count = MongoServer.MaxServerCount;
                MongoServer server = MongoServer.Create(mongoSetting);//创建连接数据文件
                DB = server.GetDatabase("DBTest");//创建数据库连接
            }
            public void ProcessRequest()
            {
                Init();//initialize the mongo
                //获取前台页面的action值
                string action = Request.Form["action"];
                switch (action)
                {
                    case "LIST": GetFileList(); break; //获取文件列表
                    case "UPLOAD": Upload(); break; //上传文件
                    case "DELETE": Delete(); break;//删除文件
                    case "DOWNLOAD": DownFile(); break; //下载文件
                }
            }
            public bool IsReusable
            {
                get
                {
                    return false;
                }
            }
            //上传文件
            public void Upload()
            {
                try
                {
                    //设置一次只上传一个文件，值为File
                    //设置上传多个文件，值为Filedata；
                    HttpPostedFileBase file = (HttpPostedFileBase)Request.Files["Filedata"];
                    //获取文件
                    int nFileLen = file.ContentLength;
                    MongoGridFSSettings fsSetting = new MongoGridFSSettings() { Root = fileTable };
                    MongoGridFS fs = new MongoGridFS(DB, fsSetting);
                    byte[] myData = new Byte[nFileLen];
                    file.InputStream.Read(myData, 0, nFileLen);
                    //调用Write、WriteByte、WriteLine函数时需要手动设置上传时间
                    //通过Metadata 添加附加信息
                    MongoGridFSCreateOptions option = new MongoGridFSCreateOptions();
                    option.UploadDate = DateTime.Now;
                    //创建文件，文件并存储数据
                    using (MongoGridFSStream gfs = fs.Create(file.FileName, option))
                    {
                        gfs.Write(myData, 0, nFileLen);
                        gfs.Close();
                    }
                }
                catch (Exception e)
                {
                    Response.Write(0);
                }
                Response.End();
            }
    }  </pre>
<p> <strong>3.JavaScript：</strong></p>
<p>    在Controller中写好了方法，下面我们只需要在前台页面写JS调用即可。下面是JS代码：</p>
<pre>//================上传文件到Mongo-胡志婷-2016年3月29日14:28:26================//
           $("#file_upload").uploadify({
               'auto': false,  //是否自动上传
               'buttonText': '添加文件',  //按钮显示文本
               'successTimeout': 99999,  //成功等待时间
               'swf': '../../Scripts/uploadify-v3.1/uploadify.swf',  //uploadify路径
               'uploader': '/MongodbHelp/ProcessRequest',  //定义服务器端上传数据处理脚本文件swf的路径
               'multi': true,  //允许选择多个文件
               'fileSizeLimit': '1600MB',   //文件最大的大小
               'queueSizeLimit': 10,  //一次最多可选择的文件数量
               'progressData': 'speed',  //上传文件显示的样式，进度条
               'onSelectError': function (file, errorCode, errorMsg) {  //出错提示
                   switch (errorCode) {
                       case -100:
                           alert("上传的文件数量已经超出系统限制的" + jQuery('#file_upload').uploadify('settings', 'queueSizeLimit') + "个文件！");
                           break;
                       case -110:
                           alert("文件 [" + file.name + "] 大小超出系统限制的" + jQuery('#file_upload').uploadify('settings', 'fileSizeLimit') + "大小！");
                           break;
                       case -120:
                           alert("文件 [" + file.name + "] 大小异常！");
                           break;
                       case -130:
                           alert("文件 [" + file.name + "] 类型不正确！");
                           break;
                   }
               },
               'onQueueComplete': function (queueData) {  //所有文件被处理完成时触发该事件
                   getFiles();
                   alert("文件上传成功！");
                   return;
               }
           });
           //上传按钮
           $("#upload").click(function () {
               $("#file_upload").uploadify('settings', 'formData', { action: 'UPLOAD' });
               $("#file_upload").uploadify('upload', '*');
           });
           //取消按钮
           $("#cancel").click(function () {
               $("#file_upload").uploadify('cancel', '*');
           });  </pre>
<p>整个功能，实现的代码也就完成了，下面看看实现过程中的效果：</p>
<p>点击添加文件，选择需要上传的文件：</p>
<pre>	  </pre>
<p>点击上传，文件开始上传：</p>
<pre>         </pre>
<p>上传的功能应该说是学习Mongo必须有的一个实践，通过这样一个实践，其它的需求，如下载，查询等，实现就更加简单了。在此也不一一列举了。</p>
<p>   <strong> 【项目感悟】</strong></p>
<p>   <strong>1.学习既需要广度，也需要深度。</strong>在上一版ITOO项目中，自己每天都会利用些时间去了解项目中的技术点，所以对于Mongo的学习，前面有过一些了解，也有一些简单的实践，那可以算是广度上的学习。这一次，项目中再遇到，可以算是一次深度的学习了。</p>
<p>   <strong>2.站在巨人的肩膀上。</strong>在自己身边，总会有一些已经接触或是学习过，自己正在或正要接触或学习的东西。不妨适当的问问他们，也可以帮助自己快速找到解决方案或是达到自己的学习目标。</p>
<p>   <strong>3.什么东西都需要去做。</strong>没有做之前，可能只会觉得难。又是一个新东西，又不知道如何开始，一个又一个的疑问，不停地怀疑自己，只会耽误自己的效率。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 00:34:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93mongodb%e7%89%88/" title="云数据库MongoDB版">云数据库MongoDB版</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【Mongo】uploadify插件帮助实现批量上传的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Ba0jp.html" rel="bookmark">利用jquery&period;uploadify插件来实现图片上传和预览效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章是告诉你如何利用jquery.uploadify插件来实现图片上传和预览效果,首页我们要看看关于利用jquery uploadify上传图片要注意事项吧. 注意事项 (1).如果页面没有显示&quot;browse&quot;按钮,则说明你的'uploader' : '&lt;%=basepath%&gt;images/uploadify.swf'配置不对,检查下路径是否正确. (2).如果需要修改按钮的图片:可以使用'buttonimg'配置进行替换 (3).上传完成后,'oncomplete'事件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJwgW2b.html" rel="bookmark">Plupload功能强大的多文件批量上传插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Plupload 是一个Web浏览器上的界面友好的文件上传模块,可显示上传进度.图像自动缩略和上传分块.可同时上传多个文件,为您的内容管理系统或是类似上传程序提供一个高度可用的上传插件. Plupload功能强大的多文件批量上传插件 Plupload这个JavaScript控件可以让你选择Adobe Flash.Google Gears.HTML5.Microsoft Silverlight.Yahoo BrowserPlus或正常表单Form等多种方法进行文件上传. Plupload还提供其它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlGq2b.html" rel="bookmark">结合bootstrap fileinput插件和Bootstrap-table表格插件，实现文件上传、预览、提交的导入Excel数据操作流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.bootstrap-fileinpu的简单介绍 在前面的随笔,我介绍了Bootstrap-table表格插件的具体项目应用过程,本篇随笔介绍另外一个Bootstrap FieInput插件的使用,整合两者可以实现我们常规的Web数据导入操作,导入数据操作过程包括有上传文件,预览数据,选择并提交记录等一系列操作. 关于这个插件,我在早期随笔&lt;Bootstrap文件上传插件File Input的使用&gt;也做了一次介绍,这是一个增强的 HTML5 文件输入控件,是一个 Bootstrap 3.x			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr3PKM.html" rel="bookmark">jquery插件uploadify实现带进度条的文件批量上传&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时项目中需要一个文件批量上传功能时,个人认为uploadify是快速简便的解决方案,分享给大家供大家参考,具体如下 先上效果图: 具体代码如下: 在页面中如下 完整页面代码 &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;Default.aspx.cs&quot; Inherits=&quot;_Default&quot; %&gt; &lt;!DOCTYPE html&gt; &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn882rb.html" rel="bookmark">jQuery&period;Uploadify插件实现带进度条的批量上传功能&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery.Uploadify插件实现带进度条的批量上传功能.分享给大家供大家参考,具体如下: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;UpLoad.aspx.cs&quot; Inherits=&quot;UploadifyDemo_UpLoad&quot; %&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1jO8b.html" rel="bookmark">ASP&period;NET插件uploadify批量上传文件完整使用教程&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uploadify批量上传文件完整使用教程,供大家参考,具体内容如下 1.首先准备uploadify的js文件,网上一搜一大堆 2.上传页面UpFilePage.aspx 关键代码: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head runat=&quot;server&quot;&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdR57Nb.html" rel="bookmark">插件-bootstrap file-input 图片批量上传问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 bootstrap file-input 图片批量上传问题 我用该bootstrap file-input插件的时候,多个图片上传出现以下情况,大侠求助: 解决方案 代码和样式贴出来看一下 解决方案二: 静态页面代码: &lt;form name=&quot;queryForm&quot; id=&quot;queryForm&quot; action=&quot;${basePath}sns/album/Album/stulist.do&quot; method=&quot;post&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zea0Bxz.html" rel="bookmark">基于uploadify&period;js实现多文件上传和上传进度条的显示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uploadify是JQuery的一个插件,主要实现文件的异步上传功能,可以自定义文件大小限制.文件类型.是否自动上传等属性,可以显示上传的进度条.官网地址是http://www.uploadify.com/,进入官网首页(不截图了,其实也没啥看的),可以看到uploadify的标语&quot;Upload files like magic&quot;,意思是说使用uploadify上传文件如魔法一般.目前一共分为两个版本,Flash版和HTML5版,不过HTML5版是收费的,如图: 这里我们下载Flas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze61y7b.html" rel="bookmark">关于图片批量上传预览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我正在做一个需要用到图片批量上传预览的项目批量上传和预览目的都已经达到可是现在要求在预览的时候可以对图片添加备注这个把我难住了我的图片上传预览参考了http://blog.csdn.net/sq111433/article/details/16872403这篇文章,非常感谢原作者大家有没有能帮个忙的,我想了很久,还是没搞定 解决方案 解决方案二:要么给每个图片动态添加一个文本框要么仅放一个可见的文本框,根据点了哪个图片,JS把文本内容写进对应的hidden里提交(或者用个不可见的表格?			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8gG9M.html" rel="bookmark" class="title">word2013如何设置显示修订痕迹</a>
					<div>
						  显示修订痕迹步骤①:我们启动Word,打开需要修订的文档,单击&quot;菜单栏&quot;--&quot;审阅&quot;--&quot;修订&quot;,鼠标左键点击下图中的红色方框标记按钮. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgo81M.html" rel="bookmark" class="title">屏蔽F5、Ctrl&plus;N、Alt&plus;F4的源码</a>
					<div>
						在开发一个Asp.net系统的时候,经常需要自己订制浏览器的菜单,工具栏.菜单使用的是AspNetMenu,好像不是很稳定,而且页面的刷新也很严重,工具栏使用的Microsoft提供的IEWebCon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvVXAM.html" rel="bookmark" class="title">Delphi调用WinAPI 字符及字符串函数&lpar;10&rpar;</a>
					<div>
						lstrcpy - 复制字符串 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEYENb.html" rel="bookmark" class="title">C&num;编程利器之二&colon;结构与枚举&lpar;Structure and enumeration&rpar;</a>
					<div>
						在上一篇文章中,介绍了类如何封装程序中的对象.而实际中,出了类可以封装对象外,结构和枚举也可 以封装一些对象,本文将着重介绍结构和枚举这两个知识点的相关应用. 一. 结构(Structure) 什么是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElGG3z.html" rel="bookmark" class="title">DAO访问ACCESS数据库</a>
					<div>
						这是我前段时间学数据库时做的一个小程序,采用DAO访问ACCESS数据库,程序的主界面如下,控制相对来说很是简单,实现了数据库的基本操作.如图一所示: 几点说明: 在程序中使用了CButtonStyl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Er48M.html" rel="bookmark" class="title">Win7系统如何找回兼容模式</a>
					<div>
						  1.按Win+R键,打开运行,输入gpedit.msc,点击确定; 2.在打开的本地组策略编辑器窗口界面中,展开至计算机配置&gt;管理模板&gt;Windows组件&gt;应用程序兼容性; 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24wgqp.html" rel="bookmark" class="title">PS把照片变成胶片风格</a>
					<div>
						  1.打开照片 图像-调整-可选颜色 黑色选项 黄色 -20 2.可选颜色 中性色选项 -20 3.编辑-明度 +10 看看成品的对比 分类: PS图片处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZG9qz.html" rel="bookmark" class="title">win7系统下怎么创建虚拟磁盘分区</a>
					<div>
						  1.首先进入Win7系统中的开始菜单--控制面板--管理工具,找到并打开&quot;计算机管理&quot;项; 2.在打开的计算机管理界面中展开存储下的磁盘管理,然后右击&quot;磁盘管理&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRYVlp.html" rel="bookmark" class="title">右键菜单如何添加清空回收站和重新启动的命令？</a>
					<div>
						  清空回收站和重新启动这两个常用的命令,我们可以通过修改注册表,将其添加到鼠标右键菜单中,从而制定个性化的右键菜单和提高电脑的操作效率. 1.在右键菜单中添加&quot;重新启动&quot;命令 按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42lLJM.html" rel="bookmark" class="title">android开发4&period;1&period;1以上，运行APP自动调用本月日历，并在日历里把本日换成图标</a>
					<div>
						问题描述 android开发4.1.1以上,运行APP自动调用本月日历,并在日历里把本日换成图标 android开发4.1.1以上, 第一种理想的实现:运行APP自动调用本月日历,并在日历里把本日换成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6ERqM.html" rel="bookmark" class="title">在java中正确使用PostgreSQL大对象和字节流类型的姿势</a>
					<div>
						有人在java中使用getBlob获取所谓的&quot;大对象&quot;失败,问题是用法不对. groovy:000&gt; rs.getBlob(&quot;image&quot;) ERROR  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNZEBz.html" rel="bookmark" class="title">github push403错误的处理</a>
					<div>
						如果没有什么别的问题的话,推荐使用SSH的方式.请参考:http://stackoverflow.com/questions/7438313/pushing-to-git-returning-erro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YEZXM.html" rel="bookmark" class="title">世邦机器国内市场中心总销售业绩较去年同期上升35&percnt;</a>
					<div>
						对此,世邦机器国内市场中心张经理向记者表示:&quot;获得每一位客户的信任与青睐都需要付出无数辛勤的汗水,没有无缘无故成交的订单.面对任何一个有价值的信息,都要计划周详.从前期的沟通,到面对面洽谈, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDrg3z.html" rel="bookmark" class="title">二分查找-这方法有问题，查找第一个数的索引不对</a>
					<div>
						问题描述 这方法有问题,查找第一个数的索引不对 Arrays中的 binarySearch 方法查找第一个数的索引不对,真麻烦还要30字以上,随便凑一凑 解决方案 二分查找 数组必须是有序的					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRaXYp.html" rel="bookmark" class="title">android DialogFragment简单应用</a>
					<div>
						一个简单的DialogFragment应用 因为Activity的showDialog(int id)被弃用了,要使用DatePickerDialog,TimePickerDialog,AlterDi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1OE4z.html" rel="bookmark" class="title">成渝高速发布公告，确定本次发行价格区间为3&period;25元-3&period;6元</a>
					<div>
						成渝高速周一晚间发布公告,确定本次发行价格区间为3.25元-3.6元.根据安排,成渝高速将于7月14日下午举行网上路演,并7月15日网上发行,申购代码为780107. 本次发行数量为不超过50,000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r6Pwz.html" rel="bookmark" class="title">js-发送ajax请求到后台获取的数据不能显示到弹框&amp;amp&semi;amp&semi;lt&semi;div&amp;amp&semi;amp&semi;gt&semi;中</a>
					<div>
						问题描述 发送ajax请求到后台获取的数据不能显示到弹框&lt;div&gt;中 点击按钮发送ajax请求到后台获取的数据,div能弹出来,但是下面的数据不显示,如下图(块里面为空,无数据,只有表头) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBoa8b.html" rel="bookmark" class="title">说说亲身经历的草根seo的辛酸</a>
					<div>
						说说亲身经历的草根seo的辛酸 曾经看过这样一段话:没有谁能随随便便成功,成功的背后总有太多的汗水和辛酸.作为一名草根SEO我入行差不多也有一年多了,一年多的时间看似很长,实则我感觉非常短暂.说实在的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZPjAz.html" rel="bookmark" class="title">电子审批是跨部门业务协同</a>
					<div>
						昨天,中山大学电子政务研究中心主任蔡立辉教授在接受南方日报记者专访时表示,实现行政审批制度改革.深化与政府信息化的有机结合,是自2003年行政审批制度改革以来的共识,只有业务协同.整合共享,才能真正实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnEWWM.html" rel="bookmark" class="title">&lbrack;译&rsqb;如何高效的解析json P</a>
					<div>
						原文地址 这篇文章主要是讲解javascript的技巧,一步步来分析如何解析jsonp返回的字符串内容更高效. 注意: 当然现在可以用CROS来解决跨域问题,不过仍然有大量的jsonp服务端api接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJo5kp.html" rel="bookmark" class="title">支撑起整个互联网时代的 7 款开源软件</a>
					<div>
						开源软件现在成为整个互联网时代的支撑技术,你可能已经无法离开由开源软件构建起来的网络世界了.下面我们就来看看一些最重要的开源技术. 为互联网而生的操作系统linux Linux是一款免费的操作系统,诞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnyA1M.html" rel="bookmark" class="title">科技如何变革农业？你需要了解的15个技术</a>
					<div>
						加拿大联邦政府预测与策划组织Policy Horizons Canada与Envisioning的未来学家和数据可视化专家米歇尔扎帕(Michelle Zappa)合作发表了一份题为&lt;MetaS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlxm1p.html" rel="bookmark" class="title">全面解读PHP的Yii框架中的日志功能&lowbar;php技巧</a>
					<div>
						Yii页面级日志开启在 Main.php中 log段添加. 下面显示页面日志 array( 'class'=&gt;'CWebLogRoute', 'levels'=&gt;'trace', //级别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N815p.html" rel="bookmark" class="title">影响网站在google排名的一些问题</a>
					<div>
						1. 我打算改变我的主机提供商,这对我以前的搜索引擎排名有影响吗? 答:这种改变对搜索引擎没有影响,但ISP提供的服务质量有可能影响到网站在搜索引擎中的排名情况,您需要确保您网站可以正常访问并具有正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKaavM.html" rel="bookmark" class="title">vc&plus;&plus;     mfc-mfc对话框中，添加新记录，运行到m&lowbar;pRecordset-&amp;amp&semi;amp&semi;gt&semi;AddNew&lpar;&rpar;后，就出错，谢谢</a>
					<div>
						问题描述 mfc对话框中,添加新记录,运行到m_pRecordset-&gt;AddNew()后,就出错,谢谢 解决方案 是否正确打开连接数据库表 有没有操作权限					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvryyM.html" rel="bookmark" class="title">&period;net 后台无刷新技术</a>
					<div>
						问题描述 这种没有按钮的该怎么实现无刷新修改呢..jQuery跨域了只能用后台 解决方案 解决方案二:ajax不可以吗?跨域好像也行吧.解决方案三:什么叫后台无刷新你知道所谓的后台在哪吗后台在服务器上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm7Dqp.html" rel="bookmark" class="title">win7的问题。。。。关于调试模式</a>
					<div>
						问题描述 win7的问题....关于调试模式 电脑崩了,可以用调试模式代替正常模式吗..?我看比安全模式多个能上网...好像挺好的 解决方案 ....电脑崩了是什么意思? 都能进安全模式,处理好不就行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWNd8z.html" rel="bookmark" class="title">frameset  居中固定宽度</a>
					<div>
						问题描述 &lt;framesetrows=&quot;227,*,22&quot;frameborder=&quot;no&quot;border=&quot;0&quot;framespacing ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvEQ4b.html" rel="bookmark" class="title">卢松松：浅谈四大门户网站的评论网页设计</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 如今互联网中都在强调'互动','评 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1dLeM.html" rel="bookmark" class="title">《解读NoSQL》&mdash;&mdash;2&period;6　通过数据库分片获得水平扩展能力</a>
					<div>
						2.6 通过数据库分片获得水平扩展能力 随着一个组织存储的数据量增加,可能在某个时候,业务运行所需的数据量超过了当前环境所能运行的最大值,这时候,一些将数据分成合理的数据块的机制是必要的.组织和系统可 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
